<script>
    var requireJS = [];

    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, "js/views/calification.js");

</script>

<div class="page-title">
    <div class="title_left">
        <h3 th:text="#{listUsersRatingPoints}">Listado de puntos de calificación de usuarios</h3>
    </div>
</div>

<div class="clearfix"></div>

<div class="row">

    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">

                <div class="well" style="overflow: auto">
                    <div class="col-md-12">
                        <input type="text" th:value="${q}" placeholder="Buscar..." th:attr="placeholder=#{search} + '...'" name="q" id="q"/>
                        <span th:text="#{records}">Registros:</span>
                        <select name="size" id="size">
                            <option th:selected="${size == null || (size != null && size == '20')}" value="20">20</option>
                            <option th:selected="${size != null && size == '50'}" value="50">50</option>
                            <option th:selected="${size != null && size == '100'}" value="100">100</option>
                            <option th:selected="${size != null && size == '500'}" value="500">500</option>
                            <option th:selected="${size != null && size == '1000'}" value="1000">1000</option>
                        </select>
                        <span th:text="#{type}">Tipo:</span>
                        <select name="type" id="type">
                            <option value="all" th:text="#{all}">Todos</option>
                            <option th:selected="${type == 'kit'}" value="kit"><span th:text="#{kits}"></span></option>
                            <option th:selected="${type == 'product'}" value="product"><span th:text="#{products}"></span></option>
                            <option th:selected="${type == 'service'}" value="service"><span th:text="#{services}"></span></option>
                            <option th:selected="${type == 'upgrade'}" value="upgrade"><span th:text="#{upgrade}"></span></option>
                            <option th:selected="${type == 'store'}" value="store"><span th:text="#{members.store}"></span></option>
                        </select>
                        <span th:text="#{since}">Desde:</span>
                        <input type="date" th:value="${from}" placeholder="Desde" name="from" id="from"/>
                        <span th:text="#{until}">Hasta:</span>
                        <input type="date" th:value="${to}" placeholder="Hasta" name="to" id="to"/>
                        
                        <button class="btn btn-info btn-sm" id="search-button"><i class="fa fa-search"></i>&nbsp;Buscar</button>
                    </div>
                </div>
                <div class="clearfix"></div>
            </div>

            <div>
                <div class="table-responsive-tall">
                    <table class="table table-condensed table-striped jambo_table">
                        <thead>
                            <tr class="headings">
                                <th><input type="checkbox" name="rank-id"></th>
                                <th th:text="#{bonus.date}">Fecha</th>
                                <th th:text="#{bonus.username}">Afiliado</th>
                                <th th:text="#{bonus.points}">Puntos</th>
                                <th th:text="#{bonus.comment}">Descripcion</th>
                                <th th:text="#{bonus.event}">Evento</th>
                                <th th:text="#{bonus.type}">Tipo</th>
                                <th th:text="#{bonus.memberType}">Tipo</th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr th:each="item : ${page.content}">
                                <td><input th:id="${item.id}" type="checkbox" name="rank-id"></td>
                                <td th:text="${item.date}"></td>
                                <td th:text="${item.member}"></td>
                                <td th:text="${item.points}"></td>
                                <td th:text="${item.description}"></td>
                                <td th:text="${item.eventId}"></td>
                                <td th:text="${item.type}"></td>
                                <td th:text="#{${item.memberType}}"></td>
                                <td>
                                    <i class="fa fa-camera action-button" id="view-snap" th:attr="data-id=${item.id},data-name=${item.description}"></i>
                                </td>                                
                            </tr>
                        </tbody>
                    </table>
                </div>

            </div>

            <div>
                <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                    <div class="tile-stats">
                        <div class="icon"><i class="fa fa-circle"></i></div>
                        <div class="count" th:text="${sums.total}">179</div>
                        <h3 th:text="#{total}">Total</h3>
                        <p></p>
                    </div>
                </div>
                <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                    <div class="tile-stats">
                        <div class="icon"><i class="fa fa-cube"></i></div>
                        <div class="count" th:text="${sums.totalKit}">179</div>
                        <h3 th:text="#{totalKits}">Total Kits</h3>
                        <p></p>
                    </div>
                </div>
                <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                    <div class="tile-stats">
                        <div class="icon"><i class="fa fa-mobile-phone"></i></div>
                        <div class="count" th:text="${sums.totalProduct}">179</div>
                        <h3 th:text="#{totalProducts}">Total Productos</h3>
                        <p></p>
                    </div>
                </div>
                <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12">
                    <div class="tile-stats">
                        <div class="icon"><i class="fa fa-phone-square"></i></div>
                        <div class="count" th:text="${sums.totalService}">179</div>
                        <h3 th:text="#{totalServices}">Total Servicios</h3>
                        <p></p>
                    </div>
                </div>
            </div>

        </div>
        <div th:replace="frags/pagination :: paginationbar"></div>
    </div>

</div>

